#include <iostream>
using namespace std;


int main() {

    int broj_stalaktita;
    int visina_perice;
    cin >> broj_stalaktita >> visina_perice;
    
    bool da_li_je_presao = false;
    
    
    for(int j = 0;j < broj_stalaktita;j++) {

        int visine_stalaktita;
        cin >> visine_stalaktita;

        if (visine_stalaktita <= visina_perice && !da_li_je_presao) {

           
            cout << j << endl;
            da_li_je_presao = true;
            break;

        }
       

    }

    if (!da_li_je_presao) {



        cout << "-1" << endl;


    }













    return 0;
}